export declare function usePlayback<T>(): [T | null, boolean, IPlayBack<T>, boolean];
export declare function usePlayback<T>(frames: T[], duration: number, autoplay?: boolean): [T | null, boolean, IPlayBack<T>, boolean];
interface IPlayBack<T> {
    clear: () => void;
    load: (frames: T[], duration: number, autoplay?: boolean) => void;
    getPrevFrame: () => void;
    getNextFrame: () => void;
    play: () => void;
    pause: () => void;
    reset: () => void;
    setDuration: (duration: number) => void;
    setLoop: (isLoop: boolean) => void;
}
export {};
