export declare type Action<T> = Play | Pause | Reset | UpdateFpsLimit | UpdateDuration | ClearFrames | PushFrames<T> | GetPreviousFrame | GetNextFrame;
export declare enum ActionType {
    PLAY = 0,
    PAUSE = 1,
    RESET = 2,
    UPDATE_FPS_LIMIT = 3,
    UPDATE_DURATION = 4,
    CLEAR_FRAMES = 5,
    PUSH_FRAMES = 6,
    GET_PREVIOUS_FRAME = 7,
    GET_NEXT_FRAME = 8
}
interface Play {
    type: ActionType.PLAY;
}
interface Pause {
    type: ActionType.PAUSE;
}
interface Reset {
    type: ActionType.RESET;
}
interface UpdateFpsLimit {
    type: ActionType.UPDATE_FPS_LIMIT;
    payload: number;
}
interface UpdateDuration {
    type: ActionType.UPDATE_DURATION;
    payload: number;
}
interface ClearFrames {
    type: ActionType.CLEAR_FRAMES;
}
interface PushFrames<T> {
    type: ActionType.PUSH_FRAMES;
    payload: T[];
}
interface GetPreviousFrame {
    type: ActionType.GET_PREVIOUS_FRAME;
}
interface GetNextFrame {
    type: ActionType.GET_NEXT_FRAME;
}
export declare const play: () => Play;
export declare const pause: () => Pause;
export declare const reset: () => Reset;
export declare const updateFps: (payload: number) => UpdateFpsLimit;
export declare const updateDuration: (payload: number) => UpdateDuration;
export declare const clearFrames: () => ClearFrames;
export declare const pushFrames: <T>(payload: T[]) => PushFrames<T>;
export declare const getPreviousFrame: () => GetPreviousFrame;
export declare const getNextFrame: () => GetNextFrame;
export {};
