"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNextFrame = exports.getPreviousFrame = exports.pushFrames = exports.clearFrames = exports.updateDuration = exports.updateFps = exports.reset = exports.pause = exports.play = exports.ActionType = void 0;
var ActionType;
(function (ActionType) {
    ActionType[ActionType["PLAY"] = 0] = "PLAY";
    ActionType[ActionType["PAUSE"] = 1] = "PAUSE";
    ActionType[ActionType["RESET"] = 2] = "RESET";
    ActionType[ActionType["UPDATE_FPS_LIMIT"] = 3] = "UPDATE_FPS_LIMIT";
    ActionType[ActionType["UPDATE_DURATION"] = 4] = "UPDATE_DURATION";
    ActionType[ActionType["CLEAR_FRAMES"] = 5] = "CLEAR_FRAMES";
    ActionType[ActionType["PUSH_FRAMES"] = 6] = "PUSH_FRAMES";
    ActionType[ActionType["GET_PREVIOUS_FRAME"] = 7] = "GET_PREVIOUS_FRAME";
    ActionType[ActionType["GET_NEXT_FRAME"] = 8] = "GET_NEXT_FRAME";
})(ActionType = exports.ActionType || (exports.ActionType = {}));
exports.play = () => ({
    type: ActionType.PLAY,
});
exports.pause = () => ({
    type: ActionType.PAUSE,
});
exports.reset = () => ({
    type: ActionType.RESET,
});
exports.updateFps = (payload) => ({
    type: ActionType.UPDATE_FPS_LIMIT,
    payload,
});
exports.updateDuration = (payload) => ({
    type: ActionType.UPDATE_DURATION,
    payload,
});
exports.clearFrames = () => ({
    type: ActionType.CLEAR_FRAMES,
});
exports.pushFrames = (payload) => ({
    type: ActionType.PUSH_FRAMES,
    payload,
});
exports.getPreviousFrame = () => ({
    type: ActionType.GET_PREVIOUS_FRAME,
});
exports.getNextFrame = () => ({
    type: ActionType.GET_NEXT_FRAME,
});
