export declare type Action<T> = Play | Pause | Reset | UpdateDuration | Clear | Load<T> | GetPreviousFrame | GetNextFrame | SetCursor | SetLoop;
export declare enum ActionType {
    LOAD = 0,
    GET_PREVIOUS_FRAME = 1,
    GET_NEXT_FRAME = 2,
    PLAY = 3,
    PAUSE = 4,
    RESET = 5,
    UPDATE_DURATION = 6,
    CLEAR = 7,
    SET_CURSOR = 8,
    SET_LOOP = 9
}
interface Play {
    type: ActionType.PLAY;
}
interface Pause {
    type: ActionType.PAUSE;
}
interface Reset {
    type: ActionType.RESET;
}
interface UpdateDuration {
    type: ActionType.UPDATE_DURATION;
    payload: number;
}
interface Clear {
    type: ActionType.CLEAR;
}
interface Load<T> {
    type: ActionType.LOAD;
    payload: [T[], number, boolean];
}
interface GetPreviousFrame {
    type: ActionType.GET_PREVIOUS_FRAME;
}
interface GetNextFrame {
    type: ActionType.GET_NEXT_FRAME;
}
interface SetCursor {
    type: ActionType.SET_CURSOR;
    payload: number;
}
interface SetLoop {
    type: ActionType.SET_LOOP;
    payload: boolean;
}
export declare const play: () => Play;
export declare const pause: () => Pause;
export declare const reset: () => Reset;
export declare const updateDuration: (payload: number) => UpdateDuration;
export declare const clear: () => Clear;
export declare const load: <T>(payload: [T[], number, boolean]) => Load<T>;
export declare const getPreviousFrame: () => GetPreviousFrame;
export declare const getNextFrame: () => GetNextFrame;
export declare const setCursor: (payload: number) => SetCursor;
export declare const setLoop: (payload: boolean) => SetLoop;
export {};
