"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLoop = exports.setCursor = exports.getNextFrame = exports.getPreviousFrame = exports.load = exports.clear = exports.updateDuration = exports.reset = exports.pause = exports.play = exports.ActionType = void 0;
var ActionType;
(function (ActionType) {
    ActionType[ActionType["LOAD"] = 0] = "LOAD";
    ActionType[ActionType["GET_PREVIOUS_FRAME"] = 1] = "GET_PREVIOUS_FRAME";
    ActionType[ActionType["GET_NEXT_FRAME"] = 2] = "GET_NEXT_FRAME";
    ActionType[ActionType["PLAY"] = 3] = "PLAY";
    ActionType[ActionType["PAUSE"] = 4] = "PAUSE";
    ActionType[ActionType["RESET"] = 5] = "RESET";
    ActionType[ActionType["UPDATE_DURATION"] = 6] = "UPDATE_DURATION";
    ActionType[ActionType["CLEAR"] = 7] = "CLEAR";
    ActionType[ActionType["SET_CURSOR"] = 8] = "SET_CURSOR";
    ActionType[ActionType["SET_LOOP"] = 9] = "SET_LOOP";
})(ActionType = exports.ActionType || (exports.ActionType = {}));
exports.play = () => ({
    type: ActionType.PLAY,
});
exports.pause = () => ({
    type: ActionType.PAUSE,
});
exports.reset = () => ({
    type: ActionType.RESET,
});
exports.updateDuration = (payload) => ({
    type: ActionType.UPDATE_DURATION,
    payload,
});
exports.clear = () => ({
    type: ActionType.CLEAR,
});
exports.load = (payload) => ({
    type: ActionType.LOAD,
    payload,
});
exports.getPreviousFrame = () => ({
    type: ActionType.GET_PREVIOUS_FRAME,
});
exports.getNextFrame = () => ({
    type: ActionType.GET_NEXT_FRAME,
});
exports.setCursor = (payload) => ({
    type: ActionType.SET_CURSOR,
    payload,
});
exports.setLoop = (payload) => ({
    type: ActionType.SET_LOOP,
    payload,
});
